Change a member's role (staff)
PATCH /api/organizations/members/{id}/role. Change a member's role (staff). Headless LMS Organizations API reference.
Owner or admin only. The owner role can be neither granted nor changed (409), and only a moderator can become a student.
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/organizations/members/string/role" \ -H "Content-Type: application/json" \ -d '{ "role": "admin" }'{ "id": "string", "firstName": "string", "lastName": "string", "email": "string", "image": "string", "role": "owner", "status": "active", "joinedAt": "string", "invitedAt": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}List the organization's team members (staff) GET
GET /api/organizations/members. List the organization's team members (staff). Headless LMS Organizations API reference.
Remove an organization member (staff) DELETE
DELETE /api/organizations/members/{id}. Remove an organization member (staff). Headless LMS Organizations API reference.